import java.awt.*;

public class CoolBlue extends ColorScheme {

    public CoolBlue() {
	schemename= "CoolBlue";
	highlight = Color.ORANGE;
    }

    public Color getColor(double scaledI) {
	double I = scaledI;
	double hue=9.0/12.0, sat=1.0, bri=1.0;

	if(I < 0.0) I=0.0;
	if(I > 1.0) I=1.0;

	if(I < 0.5) { bri = 2.0 * I; }
	else { sat = 2.0 - 2.0 * I; }
	
	return Color.getHSBColor((float) hue, (float) sat, (float) bri);
           
    }
}
